Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
mcp-servers
Create Mcp Server
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/mcp-servers/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "description": "<string>",
  "auth_type": "<string>",
  "auth_header_name": "<string>",
  "auth_token": "<string>",
  "tool_prefix": "<string>",
  "timeout_seconds": 30,
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "url": "<string>",
  "transport": "<string>",
  "auth_type": "<string>",
  "auth_header_name": "<string>",
  "has_auth": true,
  "tool_prefix": "<string>",
  "timeout_seconds": 123,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Request schema for creating an MCP server.

name
string
required
Required string length: 1 - 255
url
string
required
Maximum string length: 2048
description
string | null
Maximum string length: 5000
auth_type
string | null
Pattern: ^(bearer|header)$
auth_header_name
string | null
Maximum string length: 255
auth_token
string | null
Minimum string length: 1
tool_prefix
string | null
Maximum string length: 50
timeout_seconds
integer
default:30
Required range: 1 <= x <= 300
is_active
boolean
default:true

Response

Successful Response

Response schema for an MCP server.

id
string<uuid>
required
organization_id
string<uuid>
required
created_by_user_id
string<uuid> | null
required
name
string
required
description
string | null
required
url
string
required
transport
string
required
auth_type
string | null
required
auth_header_name
string | null
required
has_auth
boolean
required
tool_prefix
string | null
required
timeout_seconds
integer
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required